function [CL CD] = Coef0015(aoa)
%
% PURPOSE: Find the coefficients of lift and drag where the angle of attack
%          (AOA) may be greater than stall for Reynolds numbers in the range
%          20k-60k.  This is table look-up with a cubic spline interpolation.  
%
%          aoa is in radians.
%
% REFERENCE: "Aerodynamic Characteristics of Seven Symmetrical Airfoil
%            Sections Through 180-Degree Angle of Attack For Use In
%            Aerodynamic Analysis of Vertical Axis Wind Turbines"
%            R.E. Sheldahl, P.C. Klimas SAND80-2114  
%
% FIRST AUTHOR: Rob McEwen, 13 Feb 2008
%
% CHANGE LOG:
%
% Read in data off the charts.  I'm going mostly from the Sandia chart, but
% since it is for a higher Reynolds number, I'm going to blend in data for
% Re=42.9k from PNA, 3rd Ed. Vol 3, p.294, for aoa less than stall.
%
% In keeping with the chart, aoa is in degrees.
%
  persistent Daoa DCL DCD;
  if( isempty(Daoa) )

   fprintf('Coef0015: Initializing parameter arrays.\n');
   Daoa=[0  2   4   6  8   10  12 14 16  20  30  40  50  60  70  80  90]';
   DCL =[0 .19 .38 .57 .76 .8 .75 .7 .65 .6  .8  1.  1.  .85 .6  .35 .1]';
%  DCD =[3 2.7 2.5 2.1 1.9 2.0 2.1 2.5 3 30  60  90  120 150 165 170 175]';
   DCD =[3 2.7 2.5 2.1 1.9 2.0 2.1 2.5 6 30  60  90  120 150 165 172 175]';
%
%  Contine for aoa > 90
% 
   Daoa = [Daoa' 100   110   120   130   140   150   160   170   180]';
   DCL  = [DCL'  -.2   -.45  -.7   -.9   -1.0  -.8   -.63  -.9    0 ]';
   DCD  = [DCD'  172  165    150   120   90    60    30    10     3 ]'/100;
%
%  Add odd symmetry for negative values:
%
   Daoa = [  -[Daoa(end:-1:2)];   Daoa  ];
   DCL  = [  -[DCL(end:-1:2)];    DCL  ];
   DCD  = [   [DCD(end:-1:2)];    DCD  ];
   Daoa = Daoa*pi/180;
%
  end
  CL = interp1(Daoa, DCL, aoa, 'spline');
  CD = interp1(Daoa, DCD, aoa, 'spline');
%
% This is for the unit test.
%
  if(1)
    assignin('caller','Daoa',Daoa);
    assignin('caller','DCL',DCL);
    assignin('caller','DCD',DCD);
  end

end
